searchNodes=[{"doc":"An implementation of the ShEx standard for Elixir.For a general introduction you may refer to the guides on the homepage.","ref":"ShEx.html","title":"ShEx","type":"module"},{"doc":"See ShEx.ShapeMap.new/0.","ref":"ShEx.html#shape_map/0","title":"ShEx.shape_map/0","type":"function"},{"doc":"See ShEx.ShapeMap.new/1.","ref":"ShEx.html#shape_map/1","title":"ShEx.shape_map/1","type":"function"},{"doc":"Validates that a RDF.Data structure conforms to a ShEx.Schema according to a ShEx.ShapeMap.If the ShapeMap is not given as ShEx.ShapeMap the given argument will be tried to converted to one with ShEx.shape_map/1.","ref":"ShEx.html#validate/4","title":"ShEx.validate/4","type":"function"},{"doc":"A ShEx schema is a collection of ShEx shape expressions that prescribes conditions that RDF data graphs must meet in order to be considered &quot;conformant&quot;.Usually a ShEx.Schema is not created by hand, but read from a ShExC or ShExJ representation via ShEx.ShExC.decode/2 or ShEx.ShExJ.decode/2.","ref":"ShEx.Schema.html","title":"ShEx.Schema","type":"module"},{"doc":"Validates that a RDF.Data structure conforms to a ShEx.Schema according to a ShEx.ShapeMap.","ref":"ShEx.Schema.html#validate/4","title":"ShEx.Schema.validate/4","type":"function"},{"doc":"Functions for working with the ShExC format.ShExC is the standard-format for the definition of ShEx schemas.See http://shex.io/shex-primer/ for an introduction.","ref":"ShEx.ShExC.html","title":"ShEx.ShExC","type":"module"},{"doc":"Reads a ShEx.Schema from a string with a ShExC schema definition.Returns an ok resp. error tuple.Optionsbase: the base IRI to be used for relative IRIs in the schema definition","ref":"ShEx.ShExC.html#decode/2","title":"ShEx.ShExC.decode/2","type":"function"},{"doc":"Reads a ShEx.Schema from a string with a ShExC schema definition and fails in the error case.Same as decode/2 but returns the schema directly (not in an ok tuple).","ref":"ShEx.ShExC.html#decode!/2","title":"ShEx.ShExC.decode!/2","type":"function"},{"doc":"Functions for working with the ShExJ format.","ref":"ShEx.ShExJ.html","title":"ShEx.ShExJ","type":"module"},{"doc":"Reads a ShEx.Schema from a string with a ShExJ schema definition.Returns an ok resp. error tuple.","ref":"ShEx.ShExJ.html#decode/2","title":"ShEx.ShExJ.decode/2","type":"function"},{"doc":"Reads a ShEx.Schema from a string with a ShExJ schema definition and fails in the error case.Same as decode/2 but returns the schema directly (not in an ok tuple).","ref":"ShEx.ShExJ.html#decode!/2","title":"ShEx.ShExJ.decode!/2","type":"function"},{"doc":"A finite set of ShEx.ShapeMap.Associations used to specify the nodes on which validations should be performed and for the result of validations.A ShapeMap can be either created with ShEx.ShapeMap.new/1 or loaded from a string representation in the standard ShapeMap format with ShEx.ShapeMap.decode/2 or a JSON-based format ShEx.ShapeMap.from_json/2.The set of associations can be accessed with the associations/1 function as a list. ShEx.ShapeMap also implements the Enumerable protocol over this set of associations, so you can use it with all of Elixir's Enum functions.After the validation the associations get partitioned into two fields on the ShEx.ShapeMap struct: conformant and nonconformant.see https://shexspec.github.io/shape-map/","ref":"ShEx.ShapeMap.html","title":"ShEx.ShapeMap","type":"module"},{"doc":"Adds a single or list of ShapeMap associations to shape_map.","ref":"ShEx.ShapeMap.html#add/2","title":"ShEx.ShapeMap.add/2","type":"function"},{"doc":"Returns all associations in shape_map as a list.","ref":"ShEx.ShapeMap.html#associations/1","title":"ShEx.ShapeMap.associations/1","type":"function"},{"doc":"Returns if all association in shape_map were conformant after a validation.Note: A non-result ShapeMap is always conformant.","ref":"ShEx.ShapeMap.html#conformant?/1","title":"ShEx.ShapeMap.conformant?/1","type":"function"},{"doc":"Loads a ShapeMap from the standard representation format.Returns an ok resp. error tuple.See https://shexspec.github.io/shape-map/","ref":"ShEx.ShapeMap.html#decode/2","title":"ShEx.ShapeMap.decode/2","type":"function"},{"doc":"Loads a ShapeMap from the standard representation format and fails in the error case.Same as decode/2 but returns the ShapeMap directly (not in an ok tuple).","ref":"ShEx.ShapeMap.html#decode!/2","title":"ShEx.ShapeMap.decode!/2","type":"function"},{"doc":"Return true if shape_map is a fixed ShapeMap, i.e. doesn't contain triple patterns (query ShapeMap) or results (result ShapeMap).","ref":"ShEx.ShapeMap.html#fixed?/1","title":"ShEx.ShapeMap.fixed?/1","type":"function"},{"doc":"Loads a ShapeMap from a JSON representation.This format is not clearly specified. It's currently used only to make test suite pass, where this format is used.","ref":"ShEx.ShapeMap.html#from_json/2","title":"ShEx.ShapeMap.from_json/2","type":"function"},{"doc":"Creates an empty ShapeMap.","ref":"ShEx.ShapeMap.html#new/0","title":"ShEx.ShapeMap.new/0","type":"function"},{"doc":"Creates an ShapeMap with the associations given as an enumerable.","ref":"ShEx.ShapeMap.html#new/1","title":"ShEx.ShapeMap.new/1","type":"function"},{"doc":"Return true if shape_map is a query ShapeMap, i.e. does not contain results (result ShapeMap).Note: Every fixed ShapeMap is also a query ShapeMap.","ref":"ShEx.ShapeMap.html#query?/1","title":"ShEx.ShapeMap.query?/1","type":"function"},{"doc":"Return true if shape_map is a result ShapeMap.","ref":"ShEx.ShapeMap.html#result?/1","title":"ShEx.ShapeMap.result?/1","type":"function"},{"doc":"Converts a query ShapeMap into a fixed ShapeMap by resolving all triple patterns against the given graph.","ref":"ShEx.ShapeMap.html#to_fixed/2","title":"ShEx.ShapeMap.to_fixed/2","type":"function"},{"doc":"","ref":"ShEx.ShapeMap.html#t:type/0","title":"ShEx.ShapeMap.type/0","type":"type"},{"doc":"A ShapeMap association specifies the shape a node must conform to and contains the results of a validation.It is a structure consisting of the following fields:node: an RDF node, or a triple pattern which is used to select RDF nodesshape: label of a shape expression or the atom :start for the start shape expressionThe following fields are just filled in the case of a result ShapeMap, i.e. after the validation:status: :conformant if node conforms the shape, otherwise :nonconformantreason: a list of ShEx.Violation structs stating the reasons for failure or successapp_info: currently not usedShapeMap associations should not be created manually, but will be created implicitly on ShEx.ShapeMap.new/1 or ShEx.ShapeMap.add/2.","ref":"ShEx.ShapeMap.Association.html","title":"ShEx.ShapeMap.Association","type":"module"},{"doc":"Return true if association is a fixed ShapeMap association, i.e. doesn't have triple pattern as node or contains results.","ref":"ShEx.ShapeMap.Association.html#fixed?/1","title":"ShEx.ShapeMap.Association.fixed?/1","type":"function"},{"doc":"Return true if association is a query ShapeMap association, i.e. does not contain results.Note: Every fixed ShapeMap association is also a query ShapeMap association.","ref":"ShEx.ShapeMap.Association.html#query?/1","title":"ShEx.ShapeMap.Association.query?/1","type":"function"},{"doc":"Return true if association is a result ShapeMap association, i.e. contains results.","ref":"ShEx.ShapeMap.Association.html#result?/1","title":"ShEx.ShapeMap.Association.result?/1","type":"function"},{"doc":"","ref":"ShEx.ShapeMap.Association.html#t:status/0","title":"ShEx.ShapeMap.Association.status/0","type":"type"},{"doc":"A violation of a shape during validation.","ref":"ShEx.Violation.html","title":"ShEx.Violation","type":"protocol"},{"doc":"The label of the violation type.","ref":"ShEx.Violation.html#label/1","title":"ShEx.Violation.label/1","type":"function"},{"doc":"A human representation of the violation.Currently it's the same as the reason, but might contain additional information in the future.","ref":"ShEx.Violation.html#message/1","title":"ShEx.Violation.message/1","type":"function"},{"doc":"A human representation of the reason for the violation.","ref":"ShEx.Violation.html#reason/1","title":"ShEx.Violation.reason/1","type":"function"},{"doc":"","ref":"ShEx.Violation.html#t:t/0","title":"ShEx.Violation.t/0","type":"type"},{"doc":"ShEx.Violation produced when unmatched triples where found on a closed shape.","ref":"ShEx.Violation.ClosedShape.html","title":"ShEx.Violation.ClosedShape","type":"module"},{"doc":"ShEx.Violation produced on a nonconformant datatype constraint.","ref":"ShEx.Violation.DatatypeConstraint.html","title":"ShEx.Violation.DatatypeConstraint","type":"module"},{"doc":"ShEx.Violation produced on a nonconformant maximum cardinality constraint.","ref":"ShEx.Violation.MaxCardinality.html","title":"ShEx.Violation.MaxCardinality","type":"module"},{"doc":"ShEx.Violation produced on a nonconformant minimum cardinality constraint.","ref":"ShEx.Violation.MinCardinality.html","title":"ShEx.Violation.MinCardinality","type":"module"},{"doc":"ShEx.Violation produced when a negated shape expression matched.","ref":"ShEx.Violation.NegationMatch.html","title":"ShEx.Violation.NegationMatch","type":"module"},{"doc":"ShEx.Violation produced on a nonconformant node constraint.","ref":"ShEx.Violation.NodeKindConstraint.html","title":"ShEx.Violation.NodeKindConstraint","type":"module"},{"doc":"ShEx.Violation produced on a nonconformant numeric facet constraint.","ref":"ShEx.Violation.NumericFacetConstraint.html","title":"ShEx.Violation.NumericFacetConstraint","type":"module"},{"doc":"ShEx.Violation produced on a nonconformant string facet constraint.","ref":"ShEx.Violation.StringFacetConstraint.html","title":"ShEx.Violation.StringFacetConstraint","type":"module"},{"doc":"ShEx.Violation produced on a nonconformant values constraint.","ref":"ShEx.Violation.ValuesConstraint.html","title":"ShEx.Violation.ValuesConstraint","type":"module"},{"doc":"Change LogAll notable changes to this project will be documented in this file. This project adheres to Semantic Versioning and Keep a CHANGELOG.","ref":"changelog.html","title":"Change Log","type":"extras"},{"doc":"This version just upgrades to RDF.ex 0.9.Compare v0.1.3...v0.1.4","ref":"changelog.html#0-1-4-2020-10-13","title":"Change Log - 0.1.4 - 2020-10-13","type":"extras"},{"doc":"This version just upgrades to RDF.ex 0.8. With its support for all derived numeric datatypes comes nowfull support for all of these datatypes in ShEx.ex. Compare v0.1.2...v0.1.3","ref":"changelog.html#v0-1-3-2020-06-01","title":"Change Log - v0.1.3 - 2020-06-01","type":"extras"},{"doc":"Upgrade to RDF.ex 0.7Compare v0.1.1...v0.1.2","ref":"changelog.html#v0-1-2-2019-12-15","title":"Change Log - v0.1.2 - 2019-12-15","type":"extras"},{"doc":"AddedProper default options for the parallelized validation ShEx.ShapeMap.decode!/2Various checks during schema parsing and creation:unsatisfied referencescollisions of triple expression labels with shape expression labelsChangedParallelization is now turned on automatically for all query ShapeMaps andfixed ShapeMaps with more than 10 associationsFixedResolving queries in a query ShapeMap sometimes failed when queries had no results Compare v0.1.0...v0.1.1","ref":"changelog.html#v0-1-1-2019-07-20","title":"Change Log - v0.1.1 - 2019-07-20","type":"extras"},{"doc":"Initial release","ref":"changelog.html#v0-1-0-2019-07-15","title":"Change Log - v0.1.0 - 2019-07-15","type":"extras"}]